> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Add Notification Subscribers

`POST https://api.pagerduty.com/incidents/{id}/status_updates/subscribers`

Subscribe the given entities to Incident Status Update Notifications.

Scoped OAuth requires: `subscribers.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

The entities to subscribe.

| Field | Type | Required | Description |
|---|---|---|---|
| `subscribers` | array of object | yes | Min items: 1. Items must be unique. |
| `subscribers[].subscriber_id` | string |  | The ID of the entity being subscribed. |
| `subscribers[].subscriber_type` | string |  | The type of the entity being subscribed. One of: `user`, `team`. |

Example: Request Example

```json
{
  "subscribers": [
    {
      "subscriber_id": "PD1234",
      "subscriber_type": "team"
    },
    {
      "subscriber_id": "PD1235",
      "subscriber_type": "team"
    },
    {
      "subscriber_id": "PD1234",
      "subscriber_type": "user"
    }
  ]
}
```

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `subscriptions` | array of object |  |  |
| `subscriptions[].subscriber_id` | string |  | The ID of the entity being subscribed. |
| `subscriptions[].subscriber_type` | string |  | The type of the entity being subscribed. One of: `user`, `team`. |
| `subscriptions[].subscribable_id` | string |  | The ID of the entity being subscribed to. |
| `subscriptions[].subscribable_type` | string |  | The type of the entity being subscribed to. One of: `incident`, `business_service`. |
| `subscriptions[].account_id` | string |  | The type of the entity being subscribed to. |
| `subscriptions[].result` | string |  | The resulting status of the subscription. One of: `success`, `duplicate`, `unauthorized`. |

Example: Response Example

```json
{
  "subscriptions": [
    {
      "account_id": "PD1234",
      "subscribable_id": "PD1234",
      "subscribable_type": "incident",
      "subscriber_id": "PD1234",
      "subscriber_type": "user",
      "result": "success"
    },
    {
      "account_id": "PD1234",
      "subscribable_id": "PD1234",
      "subscribable_type": "incident",
      "subscriber_id": "PD1234",
      "subscriber_type": "team",
      "result": "duplicate"
    },
    {
      "account_id": "PD1234",
      "subscribable_id": "PD1235",
      "subscribable_type": "incident",
      "subscriber_id": "PD1234",
      "subscriber_type": "team",
      "result": "unauthorized"
    }
  ]
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 422

Unprocessable Entity. Some arguments failed validation checks.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
